Get projects
Get a paginated, filtered, and sorted list of projects
Authorization
auth ApiKey JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
In: header
Internal API key for admin endpoints. Example: "X-API-KEY: {key}"
In: header
Query Parameters
Sort by field name (optional). Supported fields: "name", "description", "createdDate", "owner"
Project name used for filtering. Optional filter operators can be applied to refine the search:
- equal (default)
- contains
- startswith
- endswith
Project description used for filtering. Optional filter operators can be applied to refine the search:
- equal (default)
- contains
- startswith
- endswith
Filter by active status
Filter by owner. Use "me" for current user's projects.
Page number (1-based). Default is 1.
int321 <= value <= 2147483647Number of items per page. Default is 10. Maximum is 50.
int321 <= value <= 50Sort direction: "asc" or "desc". Default is "asc" (optional)
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/projects"{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "owner": "534359f7-5407-4b19-ba92-c71c370022a5", "ownerName": "string", "isMine": true, "canEdit": true, "isGlobalPermissions": true } ], "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}